BLKID(8)

NAME
blkid - command-line utility to locate/print block device attributes

SYNOPSIS
blkid -L label | -U uuid blkid [-ghlv] [-c file] [-w file] [-o format]
[-s tag] [-t NAME=value] [device ...]
blkid -p [-O offset] [-S size] [-o format] [-s tag]
[-n list] [-u list] device [device ...]
blkid -i [-o format] [-s tag] device [device ...]

DESCRIPTION
The blkid program is the command-line interface to working with libblkid(3) library. It can determine the type of content (e.g. filesystem, swap) a block device holds, and also attributes (tokens, NAME=value pairs) from the content metadata (e.g. LABEL or UUID fields).

blkid has two main forms of operation: either searching for a device with a specific NAME=value pair, or displaying NAME=value pairs for one or more devices.

OPTIONS
The size and offset arguments may be followed by binary (2^N) suffixes KiB, MiB, GiB, TiB, PiB and EiB (the "iB" is optional, e.g. "K" has the same meaning as "KiB") or decimal (10^N) suffixes KB, MB, GB, PB and EB.

-c cachefile
    Read from cachefile instead of reading from the default cache file /etc/blkid.tab. If you want to start with a clean cache (i.e. don't report devices previously scanned but not necessarily available at this time), specify /dev/null.

-g  Perform a garbage collection pass on the blkid cache to remove devices which no longer exist.

-h  Display a usage message and exit.

-i  Display I/O Limits (aka I/O topology) information. The 'export' output format is automatically enabled. This option could be used together with -p option.

-l  Look up one device that matches the search parameter specified using the -t option. If there are multiple devices that match the specified search parameter, then the device with the highest priority is returned, and/or the first device found at a given priority. Device types in order of decreasing priority are Device Mapper, EVMS, LVM, MD, and finally regular block devices. If this option is not specified, blkid will print all of the devices that match the search parameter.

-L  label
    Look up one device that uses the label (same as: -l -o device -t LABEL=<label>). This look up method is able to reliable use /dev/disk/by-label udev symlinks (depends on setting in /etc/blkid.conf). Avoid to use the symlinks directly. It is not reliable to use the symlinks without verification. The -L option works on systems with and without udev. Unfortunately, the original blkid(8) from e2fsprogs use the -L option as a synonym to the -o list option. For better portability use "-l -o device -t LABEL=<label>" and "-o list" in your scripts rather than -L option.

-n  list
    Restrict probing functions to defined (comma separated) list of superblock types (names). The list can be prefixed with "no" to specify the types which should be ignored. For example:

      blkid -p -n vfat,ext3,ext4 /dev/sda1

    probes for vfat, ext3 and ext4 filesystems, and

      blkid -p -u nominix /dev/sda1

    probes for all supported formats exclude minix filesystem. This option is useful with -p only.

-o format
    Display blkid's output using the specified format. The format parameter may be:

    full
        print all tags (the default)

    value
        print the value of the tags

    list
        print the devices in a user-friendly format, this output format is unsupported for low-level probing (-p or -i)

    device
        print the device name only, this output format is always enabled for -L and -U options

    udev
        print key="value" pairs for easy import into the udev environment. The keys are prefixed by ID_FS_ or ID_PART_ prefixes. The udev output returns ID_FS_AMBIVALENT tag if more superblocks are detected, and ID_PART_ENTRY_* tags are always returned for all partitions including empty partitions.

    export
        print key=value pairs for easy import into the environment. This output format is automatically enabled when I/O Limits (-i option) are requested.

-O offset
    Probe at the given offset (only useful with -p). This option could be used together with -i option.

-p  Switch to low-level superblock probing mode (bypass cache). Note that low-level probing also returns information about partition table type (PTTYPE tag) and partitions (PART_ENTRY_* tags).

-s tag
    For each (specified) device, show only the tags that match tag. It is possible to specify multiple -s options. If no tag is specified, then all tokens are shown for all (specified) devices. In order to just refresh the cache without showing any tokens, use -s none with no other options.

-S size
    Overwrite device/file size (only useful with -p).

-t NAME=value
    Search for block devices with tokens named NAME that have the value value, and display any devices which are found. Common values for NAME include TYPE, LABEL, and UUID. If there are no devices specified on the command line, all block devices will be searched; otherwise only the specified devices are searched.

-u  list
    Restrict probing functions to defined (comma separated) list of "usage" types. Supported usage types are: filesystem, raid, crypto and other. The list can be prefixed with "no" to specify the usage types which should be ignored. For example:

      blkid -p -u filesystem,other /dev/sda1

    probes for all filesystems and others (e.g. swap) formats, and

      blkid -p -u noraid /dev/sda1

    probes for all supported formats exclude RAIDs. This option is useful with -p only.

-U  uuid
    Look up one device that uses the uuid. For more details see the -L option.

-v  Display version number and exit.

-w writecachefile
    Write the device cache to writecachefile instead of writing it to the default cache file /etc/blkid.tab. If you don't want to save the cache to the default file, specify /dev/null. If not specified it will be the same file as that given by the -c option.

device
    Display tokens from only the specified device. It is possible to give multiple device options on the command line. If none is given, all devices which appear in /proc/partitions are shown, if they are recognized.

RETURN CODE
If the specified token was found, or if any tags were shown from (specified) devices, 0 is returned. If the specified token was not found, or no (specified) devices could be identified an exit code of 2 is returned. For usage or other errors, an exit code of 4 is returned. If the ambivalent low-level probing result was detected an exit code of 8 is returned.

AUTHOR
blkid was written by Andreas Dilger for libblkid and improved by Theodore Ts'o and Karel Zak.

AVAILABILITY
The blkid command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

SEE ALSO
libblkid(3) findfs(8) wipefs(8)